/**
 * @file
 *
 * Feuille de style dédiée à la mise en page générale.
 *
 */

/**
 * MAIN
 */

#main {
  position: relative;
  padding-top: 76px;
  max-width: 1900px;
  background: url('../images/commun/main-fond.png') repeat-y;
}
body.toolbar-horizontal.toolbar-tray-open #main {
  padding-top: 36px;
}
body.type-ec-copage #content {
  padding-left: 12%;
  padding-right: 12%;
}

/**
 * NAVIGATION
 */

#navigation {
  position: fixed;
  top: 76px;
  overflow: auto;
  width: 220px;
  background-color: #4199a8;
  z-index: 90;
}
body.toolbar-horizontal #navigation,
body.toolbar-vertical #navigation {
  top: 115px
}
#navigation .ps-scrollbar-y-rail {
  background-color: #4199a8;
}
#navigation .ps-scrollbar-y {
  right: 5px;
  background-color: rgba(255, 255, 255, 0.5);
}
#navigation .menu li {
  border-bottom: 1px solid #50abbb;
}
#navigation .menu li.mentions-lgales {
  border-bottom: none;
}
#navigation .menu li a {
  display: block;
  padding: 20px 30px 20px 75px;
  background-repeat: no-repeat;
  background-position: 25px center;
  text-decoration: none;
  color: #fff;
}
#navigation .menu li.rechercher a {
  background-image: url('../images/navigation/recherche.png');
  background-image: url('../images/navigation/recherche.svg');
}
#navigation .menu li.accueil a {
  background-image: url('../images/navigation/accueil.png');
  background-image: url('../images/navigation/accueil.svg');
}
#navigation .menu li.ressources a {
  background-image: url('../images/navigation/ressources.png');
  background-image: url('../images/navigation/ressources.svg');
}
#navigation .menu li.ateliers a {
  background-image: url('../images/navigation/ateliers.png');
  background-image: url('../images/navigation/ateliers.svg');
}
#navigation .menu li.membres a {
  background-image: url('../images/navigation/membres.png');
  background-image: url('../images/navigation/membres.svg');
}
#navigation .menu li.groupes a {
  background-image: url('../images/navigation/groupes.png');
  background-image: url('../images/navigation/groupes.svg');
}
#navigation .menu li.agenda a {
  background-image: url('../images/navigation/agenda.png');
  background-image: url('../images/navigation/agenda.svg');
}
#navigation .menu li.actualits a {
  background-image: url('../images/navigation/actualites.png');
  background-image: url('../images/navigation/actualites.svg');
}
#navigation .menu li.contacts a {
  background-image: url('../images/navigation/contacts.png');
  background-image: url('../images/navigation/contacts.svg');
}
#navigation .menu li.aide a {
  background-image: url('../images/navigation/aide.png');
  background-image: url('../images/navigation/aide.svg');
}
#navigation .menu li.activit a {
  background-image: url('../images/navigation/activite.svg');
}
#navigation .menu li.outils-gestion a {
  background-image: url('../images/navigation/outils.svg');
}
#navigation .menu li.mentions-lgales a,
#navigation .menu li.charte-dutilisation a {
  padding-left: 25px;
  color: #0f5669;
}
#navigation .menu li a:hover {
  background-color: #50abbb;
}
#navigation .menu li a.is-active {
  background-color: #0f5669;
  color: #4199a8;
}

/**
 * CONTENT
 */

#content {
  margin-left: 220px;
  padding: 60px 0;
}

/**
 * RESPONSIVE
 */

/*--------- <= 1120px ---------*/

@media only screen and (max-width: 1120px) {

  body.type-ec-copage #content {
    padding-left: 2%;
    padding-right: 2%;
  }

}

/*--------- <= 880px ---------*/

@media only screen and (max-width: 880px) {

  #main {
    background: none;
  }
  #navmob {
    display: block;
  }
  #logo {
    display: none;
  }
  #navigation {
    left: -225px;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    transition: all 0.3s ease;
  }
  #navigation.on {
    left: 0;
    -webkit-box-shadow: 15px 0 15px -10px rgba(0,0,0,.2);
    box-shadow: 15px 0 15px -10px rgba(0,0,0,.2);
  }
  #content {
    margin-left: 0;
  }

}

